summaryrefslogtreecommitdiff
path: root/games-util/dfhack/dfhack-0.40.08_pre9999.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'games-util/dfhack/dfhack-0.40.08_pre9999.ebuild')
-rw-r--r--games-util/dfhack/dfhack-0.40.08_pre9999.ebuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/games-util/dfhack/dfhack-0.40.08_pre9999.ebuild b/games-util/dfhack/dfhack-0.40.08_pre9999.ebuild
index 08399473..e15247e6 100644
--- a/games-util/dfhack/dfhack-0.40.08_pre9999.ebuild
+++ b/games-util/dfhack/dfhack-0.40.08_pre9999.ebuild
@@ -232,6 +232,7 @@ src_compile() {
cmake-utils_src_compile
}
+DOCS=""
src_install() {
cmake-utils_src_install
mv "${D%/}/${GAMES_BINDIR}/dfhack" \
@@ -265,9 +266,12 @@ pkg_postinst() {
elog "Due to Dwarf Fortress' special needs regarding working directory,"
elog "specifying relative paths to DFHack plugins can give unintended results."
elog
- elog "DFHack installs custom raw files for dwarffortress in"
- elog " ${dfhack_datadir}/raw"
- elog "To use them, copy them into your raw folder and apply the diffs."
+ elog "Your dfhack.init should be placed in \${HOME}/.dwarffortress-${df-PV}/ ,"
+ elog "otherwise the example configuration will be used."
elog
- elog "To start DFHack, please run dfhack-${df_PV}"
+ if ! use egg; then
+ elog "To start DFHack, please run dfhack-${df_PV}"
+ else
+ elog "To start DFHack, please run dwarffortress-${df_PV}"
+ fi
}